// ===========================================================================
//	CTridentView.h						1993 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LWindow.h>
#include "CTridentIdler.h"
#include "CTridentWindow.h"

class	CHeartBeatIdler;


//==============================view stuff====================================
class	CTridentView : public LListBox {

public:
	static CTridentView*	CreateTridentViewStream(LStream *inStream);
							CTridentView();
							CTridentView(LStream *inStream);
							~CTridentView();
	virtual 	void		FindCommandStatus(CommandT inCommand,
							Boolean 	&outEnabled,
							Boolean 	&outUsesMark,
							Char16 		&outMark,
							Str255 		outName);
	virtual		void	 	SendInterval(long seconds); 
			virtual void	HandleAppleEvent( const AppleEvent	 &inAppleEvent ,
							AppleEvent	 &outAEReply ,
							AEDesc	&outResult ,
							long	inAENumber )	;
			void			ResetTicks();						
			void			SendHeartBeat();						
 		CHeartBeatIdler* 	fHeartBeatMonitor;  //idler to manage heartbeats
 		Boolean				fLegacyCompatable;    //works with AppleTalk Services demo!
};

